Page MenuHomePhabricator

‘Exception encountered, of type "FileBackendException"’ on mediawiki.org
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Wikimedia_Release_Engineering_Team gives: Exception encountered, of type "FileBackendException"

Event Timeline

Ireas created this task.Oct 6 2015, 9:10 PM
Ireas raised the priority of this task from to Needs Triage.
Ireas updated the task description. (Show Details)
Ireas added a subscriber: Ireas.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 6 2015, 9:10 PM

but other pages of https://www.mediawiki.org too, returning the same error

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptOct 6 2015, 9:13 PM
Krenair added a subscriber: Krenair.
2015-10-06 21:11:39 mw1049 mediawikiwiki exception ERROR: [2118a619] /wiki/Wikimedia_Release_Engineering_Team   FileBackendException from line 130 of /srv/mediawiki/php-1.27.0-wmf.2/includes/filebackend/FileBackendGroup.php: Backend with name `local-multiwrite` already registered. {"exception_id":"2118a619"} 
[Exception FileBackendException] (/srv/mediawiki/php-1.27.0-wmf.2/includes/filebackend/FileBackendGroup.php:130) Backend with name `local-multiwrite` already registered.
  #0 /srv/mediawiki/php-1.27.0-wmf.2/includes/filebackend/FileBackendGroup.php(114): FileBackendGroup->register(array)
  #1 /srv/mediawiki/php-1.27.0-wmf.2/includes/filebackend/FileBackendGroup.php(47): FileBackendGroup->initFromGlobals()
  #2 /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/FileRepo.php(155): FileBackendGroup::singleton()
  #3 /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/LocalRepo.php(51): FileRepo->__construct(array)
  #4 /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/RepoGroup.php(418): LocalRepo->__construct(array)
  #5 /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/RepoGroup.php(403): RepoGroup->newRepo(array)
  #6 /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/RepoGroup.php(130): RepoGroup->initialiseRepos()
  #7 /srv/mediawiki/php-1.27.0-wmf.2/includes/GlobalFunctions.php(3686): RepoGroup->findFile(string, array)
  #8 /srv/mediawiki/php-1.27.0-wmf.2/includes/GlobalFunctions.php(4102): wfFindFile(string)
  #9 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(2257): wfIsBadImage(string, Title)
  #10 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(2023): Parser->replaceInternalLinks2(string)
  #11 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(1267): Parser->replaceInternalLinks(string)
  #12 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(441): Parser->internalParse(string)
  #13 /srv/mediawiki/php-1.27.0-wmf.2/includes/content/WikitextContent.php(331): Parser->parse(string, Title, ParserOptions, boolean, boolean, integer)
  #14 /srv/mediawiki/php-1.27.0-wmf.2/includes/content/AbstractContent.php(497): WikitextContent->fillParserOutput(Title, integer, ParserOptions, boolean, ParserOutput)
  #15 /srv/mediawiki/php-1.27.0-wmf.2/includes/poolcounter/PoolWorkArticleView.php(140): AbstractContent->getParserOutput(Title, integer, ParserOptions)
  #16 /srv/mediawiki/php-1.27.0-wmf.2/includes/poolcounter/PoolCounterWork.php(123): PoolWorkArticleView->doWork()
  #17 /srv/mediawiki/php-1.27.0-wmf.2/includes/page/Article.php(676): PoolCounterWork->execute()
  #18 /srv/mediawiki/php-1.27.0-wmf.2/includes/actions/ViewAction.php(44): Article->view()
  #19 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(458): ViewAction->show()
  #20 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(255): MediaWiki->performAction(Article, Title)
  #21 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(662): MediaWiki->performRequest()
  #22 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(475): MediaWiki->main()
  #23 /srv/mediawiki/php-1.27.0-wmf.2/index.php(41): MediaWiki->run()
  #24 /srv/mediawiki/w/index.php(3): include(string)
  #25 {main}
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptOct 6 2015, 9:14 PM
Krenair set Security to None.
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 6 2015, 9:14 PM
Florian triaged this task as Unbreak Now! priority.Oct 6 2015, 9:14 PM
Florian removed subscribers: Krenair, Steinsplitter.
Florian added subscribers: Krenair, Steinsplitter.

(I hate you phabricator :P)
(Sorry for removing projects and CCs)

Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 6 2015, 9:15 PM
mmodell added a subscriber: aaron.Oct 6 2015, 9:25 PM
Base added a subscriber: Base.Oct 6 2015, 9:29 PM

Btw.: If I try to save an edit on testwiki without an image, it works (ok, reasonable if I follow the stack trace), and with an image I get a different stack trace:

Exception encountered, of type "BadMethodCallException"
[50ec4bdd] /w/index.php?title=TestFragment&action=submit BadMethodCallException from line 153 of /srv/mediawiki/php-1.27.0-wmf.2/includes/filerepo/RepoGroup.php: Call to a member function findFile() on a non-object (NULL)
Backtrace:
#0 /srv/mediawiki/php-1.27.0-wmf.2/includes/GlobalFunctions.php(3686): RepoGroup->findFile(Title, array)
#1 /srv/mediawiki/php-1.27.0-wmf.2/includes/GlobalFunctions.php(4102): wfFindFile(string)
#2 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(2257): wfIsBadImage(string, Title)
#3 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(2023): Parser->replaceInternalLinks2(boolean)
#4 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(1267): Parser->replaceInternalLinks(boolean)
#5 /srv/mediawiki/php-1.27.0-wmf.2/includes/parser/Parser.php(441): Parser->internalParse(string)
#6 /srv/mediawiki/php-1.27.0-wmf.2/includes/content/WikitextContent.php(331): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#7 /srv/mediawiki/php-1.27.0-wmf.2/includes/content/AbstractContent.php(497): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#8 /srv/mediawiki/php-1.27.0-wmf.2/includes/page/WikiPage.php(2112): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#9 /srv/mediawiki/php-1.27.0-wmf.2/extensions/SpamBlacklist/SpamBlacklistHooks.php(52): WikiPage->prepareContentForEdit(WikitextContent)
#10 /srv/mediawiki/php-1.27.0-wmf.2/includes/Hooks.php(204): SpamBlacklistHooks::filterMergedContent(RequestContext, WikitextContent, Status, string, User, boolean)
#11 /srv/mediawiki/php-1.27.0-wmf.2/includes/EditPage.php(1477): Hooks::run(string, array)
#12 /srv/mediawiki/php-1.27.0-wmf.2/includes/EditPage.php(1864): EditPage->runPostMergeFilters(WikitextContent, Status, User)
#13 /srv/mediawiki/php-1.27.0-wmf.2/includes/EditPage.php(1331): EditPage->internalAttemptSave(NULL, boolean)
#14 /srv/mediawiki/php-1.27.0-wmf.2/includes/EditPage.php(560): EditPage->attemptSave(NULL)
#15 /srv/mediawiki/php-1.27.0-wmf.2/includes/actions/EditAction.php(58): EditPage->edit()
#16 /srv/mediawiki/php-1.27.0-wmf.2/includes/actions/SubmitAction.php(40): EditAction->show()
#17 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(458): SubmitAction->show()
#18 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(255): MediaWiki->performAction(Article, Title)
#19 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(662): MediaWiki->performRequest()
#20 /srv/mediawiki/php-1.27.0-wmf.2/includes/MediaWiki.php(475): MediaWiki->main()
#21 /srv/mediawiki/php-1.27.0-wmf.2/index.php(41): MediaWiki->run()
#22 /srv/mediawiki/w/index.php(3): include(string)
#23 {main}
Tgr added a subscriber: Tgr.Oct 6 2015, 9:33 PM

if ( is_object( $backendName ) || isset( $this->backends[$backendName] ) ) is supposed to make sure an $autoBackends entry is only created, but it assumes the non-auto backends have been registered already. Should be something like if ( is_object( $backendName ) || isset( $this->backends[$backendName] ) || isset( $wgFileBackends[$backendName] ) ).

Change 244061 had a related patch set uploaded (by Gergő Tisza):
Fix double registration error

https://gerrit.wikimedia.org/r/244061

Change 244062 had a related patch set uploaded (by Aaron Schulz):
Fix duplicate automatic file backend bug

https://gerrit.wikimedia.org/r/244062

Change 244063 had a related patch set uploaded (by 20after4):
Fix double registration error

https://gerrit.wikimedia.org/r/244063

Change 244063 merged by 20after4:
Fix double registration error

https://gerrit.wikimedia.org/r/244063

Change 244061 abandoned by Gergő Tisza:
Fix double registration error

Reason:
I2706c9007 has a correct fix.

https://gerrit.wikimedia.org/r/244061

Change 244066 had a related patch set uploaded (by Florianschmidtwelzow):
Fix duplicate automatic file backend bug

https://gerrit.wikimedia.org/r/244066

Change 244062 merged by jenkins-bot:
Fix duplicate automatic file backend bug

https://gerrit.wikimedia.org/r/244062

Change 244066 merged by jenkins-bot:
Fix duplicate automatic file backend bug

https://gerrit.wikimedia.org/r/244066

mmodell closed this task as Resolved.Oct 6 2015, 10:50 PM
mmodell claimed this task.
Restricted Application added a project: Commons. · View Herald TranscriptJan 13 2016, 9:38 PM